artdaq - Bug #21076

Check current_data_source pointer before dereference

10/09/2018 12:17 PM - Eric Flumerfelt

Status: Closed Start date: 10/09/2018
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 0%
Category: Known Issues Estimated time: 0.00 hour
Target version: artdaq_core v3_04_09

Experiment: - Co-Assignees: Kurt Biery
Description

In SharedMemoryEventReceiver.cc:201, current_data_source_ pointer could be dereferenced while null. Fix on

artdag-core/bugfix’SMER_CheckCurrentDataSourceBeforeMarkBufferEmpty.

Can be provoked by calling SMER::ReleaseBuffer when SMER::ReadyForRead returns false

History

#1 - 11/15/2018 12:56 PM - Kurt Biery

Verified by code inspection.

#2 - 01/30/2019 02:31 PM - Eric Flumerfelt
- Status changed from Resolved to Reviewed

- Co-Assignees Kurt Biery added

#3 - 02/01/2019 10:38 AM - Eric Flumerfelt
- Target version set to artdaq_core v3_04_09

- Status changed from Reviewed to Closed
